package kd.hrmp.hbjm.business.domain.service;

import kd.bos.dataentity.entity.DynamicObject;
import kd.bos.dataentity.entity.DynamicObjectCollection;

public interface JobScmService {
    /**
     * 职位体系方案完整结构保存处理
     * @param jobScmBaseInfo 职位体系方案基本信息
     * @param jobSeqScmCollection 方案下序列对象集合
     * @param jobFamilyScmCollection 方案下族对象集合
     * @param jobClassScmCollection 方案下类对象集合
     * @return 是否成功
     */
    boolean saveAll(DynamicObject jobScmBaseInfo, DynamicObjectCollection jobSeqScmCollection, DynamicObjectCollection jobFamilyScmCollection, DynamicObjectCollection jobClassScmCollection);

    /**
     * 职位体系方案完整结构修改处理
     * @param jobScmBaseInfo 职位体系方案基本信息
     * @param jobSeqScmCollection 方案下序列对象集合
     * @param jobFamilyScmCollection 方案下族对象集合
     * @param jobClassScmCollection 方案下类对象集合
     * @return 是否成功
     */
    boolean updateAll(DynamicObject jobScmBaseInfo, DynamicObjectCollection jobSeqScmCollection,DynamicObjectCollection jobFamilyScmCollection,DynamicObjectCollection jobClassScmCollection);
}
