package kd.hrmp.hbjm.business.ext;

import kd.bos.extplugin.PluginProxy;
import kd.hr.hbp.common.util.HRStringUtils;
import kd.sdk.hr.hrmp.hbjm.extpoint.IJobTreeSortConditionExtend;

public class JobTreeSortServiceExt {
	private static class  JobTreeSortServiceExtInstance {
		private static JobTreeSortServiceExt INSTANCE = new JobTreeSortServiceExt();
	}

	public static JobTreeSortServiceExt getInstance() {
		return JobTreeSortServiceExtInstance.INSTANCE;
	}

    public String getJobTreeAndJobClassTreeSortCondition() {
        PluginProxy<IJobTreeSortConditionExtend> pluginProxy =
            PluginProxy.create(null, IJobTreeSortConditionExtend.class, "jobTreeSortConditionExtend");

        String[] condition = new String[]{""};
		pluginProxy.callReplaceIfPresent((plugin) -> {
			if(plugin != null){
				String extCondition = plugin.getJobTreeAndJobClassTreeSortCondition();
				if (HRStringUtils.isNotEmpty(extCondition)) {
					condition[0] = extCondition;
				}
			}
            return "";
        });
        return condition[0];
    }
}
