package kd.hrmp.hbjm.business.domain.service;

import kd.bos.dataentity.entity.DynamicObject;

import java.util.List;
import java.util.Map;

/**
 * 职位变动事务
 */
public interface ChangeEventService {
	/**
	 *
	 * @param sourcetype 来源
	 * @param beforeData 变动之前的数据
	 * @param afterData 变动之后的数据
	 * @param afterVidToBillIdMap  变动之后的数据 的历史版本id对应的单据id, 没有单传null
	 */
    void handleChangeEvent(String sourcetypeCode, DynamicObject[] beforeData, DynamicObject[] afterData,
			Map<Long,Long> afterVidToBillIdMap);

	/**
	 * 删除事务相关数据（业务对象被删除时调用）
	 * @param jobIds 职位boid
	 */
	void delEvent(List<Long> jobIds);
}
